Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class ServiceInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.AbstractDescriptionElement
              org.apache.cxf.service.model.ServiceInfo

All Implemented Interfaces:
  Extensible

    public class ServiceInfo

extends AbstractDescriptionElement

Constructor Summary
`ServiceInfo()`

Method Summary
`void` | `addBinding(BindingInfo binding)`
`void` | `addEndpoint(EndpointInfo ep)`
`void` | `addMessage(MessageInfo msg)`
`void` | `addSchema(SchemaInfo schemaInfo)`
`InterfaceInfo` | `createInterface(javax.xml.namespace.QName qn)`
`BindingInfo` | `getBinding(javax.xml.namespace.QName qn)`
`java.util.Collection<BindingInfo>` | `getBindings()`
`EndpointInfo` | `getEndpoint(javax.xml.namespace.QName qn)`
`java.util.Collection<EndpointInfo>` | `getEndpoints()`
`InterfaceInfo` | `getInterface()`
`MessageInfo` | `getMessage(javax.xml.namespace.QName qname)`
`java.util.Map<javax.xml.namespace.QName,MessageInfo>` | `getMessages()`
`javax.xml.namespace.QName` | `getName()`
`SchemaInfo` | `getSchema(java.lang.String namespaceURI)`
`java.util.Collection<SchemaInfo>` | `getSchemas()`
`java.lang.String` | `getTargetNamespace()`
`org.apache.ws.commons.schema.XmlSchemaCollection` | `getXmlSchemaCollection()`
`void` | `setInterface(InterfaceInfo inf)`
`void` | `setMessages(java.util.Map<javax.xml.namespace.QName,MessageInfo> msgs)`
`void` | `setName(javax.xml.namespace.QName n)`
`void` | `setTargetNamespace(java.lang.String ns)`
`void` | `setXmlSchemaCollection(org.apache.ws.commons.schema.XmlSchemaCollection col)`

Methods inherited from class org.apache.cxf.service.model.AbstractDescriptionElement
`getDescription, setDescription`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensionAttribute, addExtensor, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperty, getProperty, getTraversedExtensor, setExtensionAttributes, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceInfo

    public ServiceInfo()

Method Detail

### getTargetNamespace

    public java.lang.String getTargetNamespace()

### setTargetNamespace

    public void setTargetNamespace(java.lang.String ns)

### setName

    public void setName(javax.xml.namespace.QName n)

### getName

    public javax.xml.namespace.QName getName()

### createInterface

    public InterfaceInfo createInterface(javax.xml.namespace.QName qn)

### setInterface

    public void setInterface(InterfaceInfo inf)

### getInterface

    public InterfaceInfo getInterface()

### getBinding

    public BindingInfo getBinding(javax.xml.namespace.QName qn)

### addBinding

    public void addBinding(BindingInfo binding)

### getEndpoint

    public EndpointInfo getEndpoint(javax.xml.namespace.QName qn)

### addEndpoint

    public void addEndpoint(EndpointInfo ep)

### getEndpoints

    public java.util.Collection<EndpointInfo> getEndpoints()

### getBindings

    public java.util.Collection<BindingInfo> getBindings()

### getMessages

    public java.util.Map<javax.xml.namespace.QName,MessageInfo> getMessages()

### getMessage

    public MessageInfo getMessage(javax.xml.namespace.QName qname)

### setMessages

    public void setMessages(java.util.Map<javax.xml.namespace.QName,MessageInfo> msgs)

### addMessage

    public void addMessage(MessageInfo msg)

### addSchema

    public void addSchema(SchemaInfo schemaInfo)

### getSchema

    public SchemaInfo getSchema(java.lang.String namespaceURI)

### getSchemas

    public java.util.Collection<SchemaInfo> getSchemas()

### setXmlSchemaCollection

    public void setXmlSchemaCollection(org.apache.ws.commons.schema.XmlSchemaCollection col)

### getXmlSchemaCollection

    public org.apache.ws.commons.schema.XmlSchemaCollection getXmlSchemaCollection()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.